package com.ym.game.contract

import com.ym.library.module.*

class WelfareContract {
    interface View {
        fun diamondListResult(result: DiamondEntity?)
        fun taskListResult(result: TaskListEntity?)
        fun taskReceiveListResult(result: TaskCompleteEntity?)
        fun taskCashResult(result: List<FlyBoxEntity>?)
        fun welfareTaskCashResult(result: ExchangeEntity?)
    }

    interface Presenter {
        fun getDiamondList()

        fun getTaskList()

        fun getTaskReceiveList(sid: Int)

        fun getWelfareVideoReport(sid: Int)

        fun getWelfareTaskBox()
    }
}